Interface JettyHttpEndpointBuilderFactory.JettyHttpBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- JettyHttpEndpointBuilderFactory
public static interface JettyHttpEndpointBuilderFactory.JettyHttpBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default JettyHttpEndpointBuilderFactory.JettyHttpHeaderNameBuilderjetty()Jetty (camel-jetty) Expose HTTP endpoints using Jetty 9.default JettyHttpEndpointBuilderFactory.JettyHttpEndpointBuilderjetty(String path)Jetty (camel-jetty) Expose HTTP endpoints using Jetty 9.default JettyHttpEndpointBuilderFactory.JettyHttpEndpointBuilderjetty(String componentName, String path)Jetty (camel-jetty) Expose HTTP endpoints using Jetty 9.
-
-
-
Method Detail
-
jetty
default JettyHttpEndpointBuilderFactory.JettyHttpHeaderNameBuilder jetty()
Jetty (camel-jetty) Expose HTTP endpoints using Jetty 9. Category: http Since: 1.2 Maven coordinates: org.apache.camel:camel-jetty- Returns:
- the dsl builder for the headers' name.
-
jetty
default JettyHttpEndpointBuilderFactory.JettyHttpEndpointBuilder jetty(String path)
Jetty (camel-jetty) Expose HTTP endpoints using Jetty 9. Category: http Since: 1.2 Maven coordinates: org.apache.camel:camel-jetty Syntax:jetty:httpUriPath parameter: httpUri (required) The url of the HTTP endpoint to call.- Parameters:
path- httpUri- Returns:
- the dsl builder
-
jetty
default JettyHttpEndpointBuilderFactory.JettyHttpEndpointBuilder jetty(String componentName, String path)
Jetty (camel-jetty) Expose HTTP endpoints using Jetty 9. Category: http Since: 1.2 Maven coordinates: org.apache.camel:camel-jetty Syntax:jetty:httpUriPath parameter: httpUri (required) The url of the HTTP endpoint to call.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- httpUri- Returns:
- the dsl builder
-
-